OGRE: Ogre::WindowEventListener Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::WindowEventListener Class Reference

Callback class used to send out window events to client app More...

`#include <OgreWindowEventUtilities.h>`

List of all members.

## Public Member Functions

virtual | ~WindowEventListener ()
virtual void | windowMoved (RenderWindow *rw)
| Window has moved position
virtual void | windowResized (RenderWindow *rw)
| Window has resized
virtual void | windowClosed (RenderWindow *rw)
| Window has been closed
virtual void | windowFocusChange (RenderWindow *rw)
| Window has lost/gained focuw

## Detailed Description

Callback class used to send out window events to client app

Definition at line 46 of file OgreWindowEventUtilities.h.

## Constructor & Destructor Documentation

virtual Ogre::WindowEventListener::~WindowEventListener | ( |  | ) | `[virtual]`

| Definition at line 49 of file OgreWindowEventUtilities.h.

## Member Function Documentation

virtual void Ogre::WindowEventListener::windowClosed | ( | RenderWindow * | rw | ) | `[virtual]`

Window has been closed

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 73 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowFocusChange | ( | RenderWindow * | rw | ) | `[virtual]`

Window has lost/gained focuw

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 81 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowMoved | ( | RenderWindow * | rw | ) | `[virtual]`

Window has moved position

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 57 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowResized | ( | RenderWindow * | rw | ) | `[virtual]`

Window has resized

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 65 of file OgreWindowEventUtilities.h.

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:49:44 2008